Index: extensions/LLGBO2/language/ar_SA/description.txt
===================================================================
--- extensions/LLGBO2/language/ar_SA/description.txt	(revision 10079)
+++ extensions/LLGBO2/language/ar_SA/description.txt	(revision 10079)
@@ -0,0 +1,5 @@
+LLGBO2
+عرض ثيم مصغر و ExIF تحت الصور (وعند حركة الفارة عليها)
+-عرض حدود حول الصورة
+-اضافة اداة الحركة الى الصورة
+-عرض بنر في الصفحة الاولى وصفحات اختيارية اخرى
Index: extensions/LLGBO2/language/ar_SA/plugin.lang.php
===================================================================
--- extensions/LLGBO2/language/ar_SA/plugin.lang.php	(revision 10079)
+++ extensions/LLGBO2/language/ar_SA/plugin.lang.php	(revision 10079)
@@ -0,0 +1,88 @@
+<?php  
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+$lang['submit'] = 'ارسل';
+$lang['Title'] = 'يبدو كأنه GBO';
+$lang['Howto'] = 'هذه الاداة تنظم لوحة الخلفية للصورة';
+$lang['Step1_Title'] = 'اعدادات الاداة';
+$lang['Step2_Title'] = 'خيارات المساعدة للاداة';
+$lang['Step3_Title'] = 'خيارات الاطار';
+$lang['Step4_Title'] = 'عرض او اخفاء راس الصفحة';
+$lang['llgbo_tooltip']='ادوات مساعدة خاصة(بتحريك الفأرة على الصورة) للثيمات المصغرة';
+$lang['llgbo_exifunderbt']='ادوات مساعدة خاصة للثيم الصورة وال EXIF عند تريك الفارة عليها';
+$lang['llgbo_frame']='تنظيم الاطار حول الصورة';
+$lang['llgbo_header']='تنظيم عرض رأسية الصفحة';
+$lang['llgbo_maintain_header']='ضبط الرأسية في اصفحات التالية:';
+$lang['llgbo_usemap']='اضافة شريط الحرك الى الصورة:';
+$lang['llgbo_usemap_thumb']='عرض صور مصغرة عندما يكون شريط التحريك مفعلا :';
+$lang['llgbo_info']='     (^_^) الاعدادات تم تحديثها';
+$lang['llgbo_title_frame'] = 'عرض اسم الصورة على الاطار';
+$lang['llgbo_default_navthumb'] = 'اخفاء عرض الثيمات المصغرة العادية ل التالي_السابق:';
+$lang['save'] = 'حفظ';
+$lang['preview'] = 'مشاهدة';
+$lang['llgo_tooltip_width']= 'عرض الاداة المساعد';
+$lang['llgo_tooltip_size']= 'عرض الحدود للاداة المساعدة';
+$lang['llgbo_tooltip_bordercolor']= 'لون حدود الاداة المساعده';
+$lang['llgbo_tooltip_backgroundcolor']= 'لون خلفية الاداة المساعده';
+$lang['llgbo_tooltip_titlecolor']= 'لون عنوان الاداة المساعده';
+$lang['llgbo_tooltip_color']= 'لون الخط للاداة المساعده';
+$lang['llgo_global_setting']= 'Piwigo الاعدادت العالمية لصفحة الصور في';
+$lang['llgo_tooltip_setting']= 'عنوان الاداة المساعده';
+$lang['llgo_frame_setting']= 'اعدادات الاطار' ;
+$lang['llgbo_title_frame_color']= 'لون العنوان المعروض في الاطار';
+$lang['llgbo_frame_bdcolor0']= 'لون السطر الاول:';
+$lang['llgbo_frame_bdcolor1']= 'لون السطر الثاني : ';
+$lang['llgbo_frame_bdcolor2']= 'لون السطر الثالث :';
+$lang['llgbo_frame_bdcolor3']= 'لون السطر الرابع : ';
+$lang['llgbo_frame_bdcolor4']= 'لون السطر الخامس: ';
+$lang['llgbo_frame_bdcolor5']= 'لون السطر السادس : ';
+$lang['llgbo_frame_bdcolor6']= 'لون السطر السابع: ';
+$lang['llgbo_frame_bdcolor7']= 'لون السطر الثامن :';
+$lang['llgbo_frame_bdcolor8']= 'لون السطر التاسع: ';
+$lang['llgbo_frame_bdcolor9']= 'لون السطر العاشر:';
+$lang['llgbo_frame_bdcolor10']= 'لون السطر الحادي عشر:: ';
+$lang['llgbo_frame_bdcolor11']= 'لون السطر الثاني عشر: ';
+$lang['llgbo_frame_bdcolor12']= 'لون السطر الثالث عشر: ';
+$lang['llgbo_frame_bdcolor13']= 'لون السطر الرابع عشر: ';
+$lang['llgbo_frame_bdcolor14']= ':لون السطر الخامس عشر ';
+$lang['llgbo_frame_bdcolor15']= 'لون السطر السادس عشر:';
+$lang['llgbo_frame_bdsize']= 'العرض:';
+$lang['llgbo_M_frame'] = 'تنظيم الاطار';
+$lang['llgbo_M_tooltip'] = 'تنظيم الاداة المساعدة';
+$lang['llgbo_M_manage'] = 'الاعدادات العالمية';
+$lang['llgbo_samples'] = 'العينات:';
+$lang['llgbo_frame']='تنظيم الاطار حول الصورة:';
+$lang['llgbo_header']='تنظيم عرض راس الصفحة';
+$lang['llgbo_M_header'] = 'تنظيم رأس الصفحة';
+$lang['llgbo_header_home'] = 'عرض رأس الصفحة في الصفحة الرئيسية';
+$lang['llgbo_header_category'] = 'عرض {اس في صفحة التصنيفات';
+$lang['llgbo_header_category_filter_recent']= 'عرض الرأس في صفحة التصنيفات(حسب الاحدث)';
+$lang['llgbo_header_category_flat']= 'عرض الرأس في صفحة التصنيفات (خيار الفلات)' ;
+$lang['llgbo_header_category_posted_monthly']= 'عرض الرأس في صفحة التصنيفات خيار التقويم' ;
+$lang['llgbo_header_picture']= 'عرض الرأس في صفحة الصور' ;
+$lang['llgbo_header_additional_page'] = 'عرض الرأس في صفحات اضافية';
+$lang['llgbo_header_most_visited'] = 'عرض الرأس في صفحة الأكثر زيارة';
+$lang['llgbo_header_best_rated'] = 'عرض الرأس في صفحة الاكثر تقييما';
+$lang['llgbo_header_list']= 'عرض الرأس في صفحات صور عشوائية';
+$lang['llgbo_header_recent_pics']= 'عرض الرأس في صفحة الزيارات الحديثة';
+$lang['llgbo_header_created_monthly_calendar'] = 'عرض الرأس في صفحة التقويم';
+$lang['llgbo_header_tags']= 'عرض الرأس في صفحة الكلمات الدلالية';
+$lang['llgbo_header_search']= 'عرض الرأس في صفحة البحث';
+$lang['llgbo_header_comments']= 'عرض الرأس في صفحة التعليقات';
+$lang['llgbo_header_about']= 'عرض الرأس في صفحة "عن"';
+$lang['llgbo_header_notification']= 'عرض الرأس في صفحة التنبيهات';
+$lang['llgbo_header_register'] = 'عرض الرأس في صفحة التسجيل';
+$lang['llgbo_header_identification']= 'عرض الرأس في صفحة التحقق';
+$lang['llgbo_header_favorites']= 'عرض الرأس في صفحة المفضلةe';
+$lang['llgbo_header_recent_cats']= 'عرض الرأس في التنصيفات الحديثة';
+$lang['llgbo_frame_sample']= 'قائمة العينات ';
+$lang['previewsamples']= 'عرض هذه العينة';
+$lang['llgbo_always_displayexif'] = 'دائما اعرض المعلومات الاساسية' ;
+$lang['Reset_To_Default'] = 'ارجاع للاعدادت الافتراضية';
+$lang['llgo_warning_setting'] = 'للاستخدام مع Gally themes, الاداة cl_conflit يجب ان تثبت';
+$lang['llgbo_hdShadowbox'] ='التكامل HD الظل وتحريك الصور <br> HD الظل يجب ان يفعل!';
+$lang['llgbo_dispinshadowbox'] ='اعرض في صندوق الظل --> ';
+?>