Index: tensions/floPure/Pure_default/template/identification.tpl
===================================================================
--- /extensions/floPure/Pure_default/template/identification.tpl	(revision 10108)
+++ 	(revision )
@@ -1,74 +1,0 @@
-<div id="content" class="content">
-
-  <div class="titrePage">
-    <ul class="categoryActions">
-      <li><a href="{$U_HOME}" title="{'Home'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/home.png" class="button" alt="{'Home'|@translate}"></a></li>
-    </ul>
-    <h2>{'Identification'|@translate}</h2>
-  </div>
-
-  {if isset($errors) }
-  <div class="errors">
-    <ul>
-      {foreach from=$errors item=error}
-      <li>{$error}</li>
-      {/foreach}
-    </ul>
-  </div>
-  {/if}
-
-<div id="autre_content">
-<form action="{$F_LOGIN_ACTION}" method="post" name="login_form" class="properties">
-  <fieldset>
-    <legend>{'Connection settings'|@translate}</legend>
-
-    <ul>
-      <li>
-        <span class="property">
-          <label for="username">{'Username'|@translate}</label>
-        </span>
-        <input tabindex="1" class="login" type="text" name="username" id="username" size="25" maxlength="40">
-      </li>
-
-      <li>
-        <span class="property">
-          <label for="password">{'Password'|@translate}</label>
-        </span>
-        <input tabindex="2" class="login" type="password" name="password" id="password" size="25" maxlength="25">
-      </li>
-
-      {if $authorize_remembering }
-      <li>
-        <span class="property">
-          <label for="remember_me">{'Auto login'|@translate}</label>
-        </span>
-        <input tabindex="3" type="checkbox" name="remember_me" id="remember_me" value="1">
-      </li>
-      {/if}
-    </ul>
-  </fieldset>
-
-  <p>
-    <input type="hidden" name="redirect" value="{$U_REDIRECT|@urlencode}">
-    <input class="submit" tabindex="4" type="submit" name="login" value="{'Submit'|@translate}">
-  </p>
-
-  <p>
-{if isset($U_REGISTER)}
-		<a href="{$U_REGISTER}" title="{'Register'|@translate}" class="pwg-state-default pwg-button">
-			<span class="pwg-icon pwg-icon-register">&nbsp;</span><span>{'Register'|@translate}</span>
-		</a>
-{/if}
-		<a href="{$U_LOST_PASSWORD}" title="{'Forgot your password?'|@translate}" class="pwg-state-default pwg-button">
-			<span class="pwg-icon pwg-icon-lost-password">&nbsp;</span><span>{'Forgot your password?'|@translate}</span>
-		</a>
-  </p>
-
-</form>
-
-<script type="text/javascript"><!--
-document.login_form.username.focus();
-//--></script>
-
-</div>
-</div> <!-- content -->
Index: tensions/floPure/Pure_default/template/nbm.tpl
===================================================================
--- /extensions/floPure/Pure_default/template/nbm.tpl	(revision 10108)
+++ 	(revision )
@@ -1,33 +1,0 @@
-
-<div id="content" class="content">
-  <div class="titrePage">
-    <ul class="categoryActions">
-			<li><a href="{$U_HOME}" title="{'Home'|@translate}" class="pwg-state-default pwg-button">
-				<span class="pwg-icon pwg-icon-home">&nbsp;</span><span class="pwg-button-text">{'Home'|@translate}</span>
-			</a></li>
-    </ul>
-    <h2>{'Notification'|@translate}</h2>
-  </div>
-
-  <div id="autre_content">
-  {if not empty($errors)}
-  <div class="errors">
-    <ul>
-      {foreach from=$errors item=error}
-      <li>{$error}</li>
-      {/foreach}
-    </ul>
-  </div>
-  {/if}
-
-  {if not empty($infos)}
-  <div class="infos">
-    <ul>
-      {foreach from=$infos item=info}
-      <li>{$info}</li>
-      {/foreach}
-    </ul>
-  </div>
-  {/if}
-</div>
-</div>
Index: tensions/floPure/Pure_default/template/password.tpl
===================================================================
--- /extensions/floPure/Pure_default/template/password.tpl	(revision 10108)
+++ 	(revision )
@@ -1,56 +1,0 @@
-<div id="content" class="content">
-
-  <div class="titrePage">
-    <ul class="categoryActions">
-			<li><a href="{$U_HOME}" title="{'Go through the gallery as a visitor'|@translate}" class="pwg-state-default pwg-button">
-				<span class="pwg-icon pwg-icon-home">&nbsp;</span><span class="pwg-button-text">{'Home'|@translate}</span>
-			</a></li>
-    </ul>
-    <h2>{'Password forgotten'|@translate}</h2>
-  </div>
-
-<div id="autre_content">
-  {if count($errors)}
-  <div class="errors">
-    <ul>
-      {foreach from=$errors item=error}
-      <li>{$error}</li>
-      {/foreach}
-    </ul>
-  </div>
-  {/if}
-
-  {if count($infos)}
-  <div class="infos">
-    <ul>
-      {foreach from=$infos item=info}
-      <li>{$info}</li>
-      {/foreach}
-    </ul>
-  </div>
-  {/if}
-
-<form action="{$F_ACTION}" method="post" class="properties">
-  <fieldset>
-    <legend>{'Retrieve password'|@translate}</legend>
-
-    <ul>
-      <li>
-        <span class="property">
-          <label for="mail_address">{'Email address'|@translate}</label>
-        </span>
-        <input class="login" type="text" name="mail_address" id="mail_address" size="40" maxlength="40" >
-      </li>
-      <li>
-        <span class="property">
-          <label for="no_mail_address">{'No email address'|@translate}</label>
-        </span>
-        <input type="checkbox" id="no_mail_address" name="no_mail_address" value="1">
-      </li>
-    </ul>
-  </fieldset>
-
-  <p><input class="submit" type="submit" name="submit" value="{'Send new password'|@translate}"></p>
-</form>
-</div>
-</div> <!-- content -->
Index: tensions/floPure/Pure_default/template/redirect.tpl
===================================================================
--- /extensions/floPure/Pure_default/template/redirect.tpl	(revision 10108)
+++ 	(revision )
@@ -1,13 +1,0 @@
-{html_head}
-<style type="text/css">#the_page {ldelim}text-align:center;} </style>
-{/html_head}
-
-<div>
-	{$REDIRECT_MSG}
-</div>
-
-<p style="margin: 2em">
-	<a href="{$page_refresh.U_REFRESH}">
-		{'Click here if your browser does not automatically forward you'|@translate}
-	</a>
-</p>
Index: tensions/floPure/Pure_default/template/tags.tpl
===================================================================
--- /extensions/floPure/Pure_default/template/tags.tpl	(revision 10108)
+++ 	(revision )
@@ -1,59 +1,0 @@
-<div id="content" class="content">
-
-	<div class="titrePage">
-		<ul class="categoryActions">
-  {if $display_mode == 'letters'}
-      <li><a href="{$U_CLOUD}" title="{'show tag cloud'|@translate}" class="pwg-state-default pwg-button">
-        <span class="pwg-icon pwg-icon-cloud">&nbsp;</span><span class="pwg-button-text">{'cloud'|@translate}</span>
-      </a></li>
-  {/if}
-  {if $display_mode == 'cloud'}
-      <li><a href="{$U_LETTERS}" title="{'group by letters'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
-        <span class="pwg-icon pwg-icon-letters">&nbsp;</span><span class="pwg-button-text">{'letters'|@translate}</span>
-      </a></li>
-  {/if}
-      <li><a href="{$U_HOME}" title="{'Home'|@translate}" class="pwg-state-default pwg-button">
-        <span class="pwg-icon pwg-icon-home">&nbsp;</span><span class="pwg-button-text">{'Home'|@translate}</span>
-      </a></li>
-    </ul>
-    <h2>{'Tags'|@translate}</h2>
-  </div>
-<div id="autre_content">
-{if isset($tags)}
-	{if $display_mode == 'cloud'}
-	<div id="fullTagCloud">
-		{foreach from=$tags item=tag}
-		<span><a href="{$tag.URL}" class="tagLevel{$tag.level}" title="{$pwg->l10n_dec('%d photo', '%d photos', $tag.counter)}">{$tag.name}</a></span>
-		{/foreach}
-	</div>
-	{/if}
-
-  {if $display_mode == 'letters'}
-  <table>
-    <tr>
-      <td valign="top">
-    {foreach from=$letters item=letter}
-  <fieldset class="tagLetter">
-    <legend class="tagLetterLegend">{$letter.TITLE}</legend>
-    <table class="tagLetterContent">
-      {foreach from=$letter.tags item=tag}
-      <tr class="tagLine">
-        <td><a href="{$tag.URL}">{$tag.name}</a></td>
-        <td class="nbEntries">{$pwg->l10n_dec('%d image', '%d images', $tag.counter)}</td>
-      </tr>
-      {/foreach}
-    </table>
-  </fieldset>
-      {if isset($letter.CHANGE_COLUMN) }
-      </td>
-      <td valign="top">
-      {/if}
-    {/foreach}
-      </td>
-    </tr>
-  </table>
-  {/if}
-{/if}
-
-</div>
-</div> <!-- content -->
Index: /extensions/floPure/Pure_default/theme.css
===================================================================
--- /extensions/floPure/Pure_default/theme.css	(revision 10108)
+++ /extensions/floPure/Pure_default/theme.css	(revision 10109)
@@ -17,7 +17,4 @@
 	margin: 0px;
 	padding: 0px;
-}
-#content, .content {
-margin-right:0;
 }
 .stuffs_block {
Index: /extensions/floPure/Pure_default/themeconf.inc.php
===================================================================
--- /extensions/floPure/Pure_default/themeconf.inc.php	(revision 10108)
+++ /extensions/floPure/Pure_default/themeconf.inc.php	(revision 10109)
@@ -16,4 +16,33 @@
   'activable' => false,
 );
+add_event_handler('loc_after_page_header', 'Pure_default_after_page_header');
+function Pure_default_after_page_header()
+{
+	global $template, $page;
+	if (isset($page['body_id']) and $page['body_id'] == 'theIdentificationPage')
+	{
+    $template->set_prefilter('identification', 'Pure_default_prefilter_identification');
+	}
+	if (isset($page['body_id']) and $page['body_id'] == 'theNBMPage')
+	{
+    $template->set_prefilter('nbm', 'Pure_default_prefilter_nbm');
+	}
+	if (isset($page['body_id']) and $page['body_id'] == 'theNotificationPage')
+	{
+		$template->set_prefilter('notification', 'Pure_default_prefilter_notification');
+	}
+	if (isset($page['body_id']) and $page['body_id'] == 'thePasswordPage')
+	{
+		$template->set_prefilter('password', 'Pure_default_prefilter_password');
+	}
+	if (isset($page['body_id']) and $page['body_id'] == 'theTagsPage')
+	{
+		$template->set_prefilter('tags', 'Pure_default_prefilter_tags');
+	}
+	if (isset($page['body_id']) and $page['body_id'] == 'theAboutPage')
+	{
+		$template->set_prefilter('about', 'Pure_default_prefilter_about');
+	}
+}
 /** index.tpl **/
 add_event_handler('loc_end_index', 'Pure_default_index');
@@ -105,3 +134,82 @@
 }
 
+/**************************** identification.tpl *****************************************************************/
+function Pure_default_prefilter_identification($content, &$smarty)
+{
+  $search = '#<form action="\{\$F_LOGIN_ACTION\}" method="post" name="login_form" class="properties">#';  
+  $replacement = '<div id="autre_content">
+<form action="{$F_LOGIN_ACTION}" method="post" name="login_form" class="properties">
+';
+  $content = preg_replace($search, $replacement, $content);
+  $search = '#</div>[\s]*<\!-- content -->#';  
+  $replacement = '</div>
+	</div> <!-- content -->';
+  return preg_replace($search, $replacement, $content);
+}
+/**************************** nbm.tpl *****************************************************************/
+function Pure_default_prefilter_nbm($content, &$smarty)
+{
+	$search = '#\{if not empty(\$errors)\}#';  
+	$replacement = '<div id="autre_content">
+{if not empty($errors)}
+';
+	$content = preg_replace($search, $replacement, $content);
+	$search = '#\{/if\}[\s]*</div>#';  
+	$replacement = '{/if}
+	</div>
+	</div> <!-- content -->';
+	return preg_replace($search, $replacement, $content);
+}
+/**************************** notification.tpl *****************************************************************/
+function Pure_default_prefilter_notification($content, &$smarty)
+{
+	$search = '#<p>\{\'#';  
+	$replacement = '<div id="autre_content">
+<p>{\'';
+	$content = preg_replace($search, $replacement, $content);
+	$search = '#</dt>[\s]*</dl>#';  
+	$replacement = '</dt>
+	</dl>
+</div>';
+	return preg_replace($search, $replacement, $content);
+}
+/**************************** password.tpl *****************************************************************/
+function Pure_default_prefilter_password($content, &$smarty)
+{
+	$search = '#<form action=#';  
+	$replacement = '<div id="autre_content">
+<form action=';
+	$content = preg_replace($search, $replacement, $content);
+	$search = '#</div>[\s]*<!-- content -->#';  
+	$replacement = '</div>
+	</div> <!-- content -->';
+	return preg_replace($search, $replacement, $content);
+}
+/**************************** tags.tpl *****************************************************************/
+function Pure_default_prefilter_tags($content, &$smarty)
+{
+		$search = '#</h2>[\s]*</div>#';  
+		$replacement = '</h2>
+  </div>
+<div id="autre_content">';
+		$content = preg_replace($search, $replacement, $content);
+		$search = '#</div>[\s]*<!-- content -->#';  
+		$replacement = '</div>
+		</div> <!-- content -->';
+		return preg_replace($search, $replacement, $content);
+}
+/**************************** about.tpl *****************************************************************/
+function Pure_default_prefilter_about($content, &$smarty)
+{
+		$search = '#</h2>[\s]*</div>#';  
+		$replacement = '</h2>
+  </div>
+<div id="autre_content">';
+		$content = preg_replace($search, $replacement, $content);
+		$search = '#\{/if\}[\s]*</div>#';  
+		$replacement = '{/if}
+  </div>
+  </div>';
+		return preg_replace($search, $replacement, $content);
+}
 ?>