Index: /extensions/stripped/local_head.tpl
===================================================================
--- /extensions/stripped/local_head.tpl	(revision 10113)
+++ /extensions/stripped/local_head.tpl	(revision 10114)
@@ -6,2 +6,22 @@
 <![endif]-->
 <link rel="stylesheet" type="text/css" media="print" href="{$ROOT_URL}themes/default/print.css">
+
+	{if $BODY_ID=='theCategoryPage' || $BODY_ID=='thePicturePage'}
+		{include file='config.js.tpl'}
+	{/if}
+
+	{if ($BODY_ID=='theCategoryPage')}
+		{combine_script id='scripts-tcp' load='header' require='jquery.effects.blind' path='themes/stripped/js/scripts-tcp.js'}
+	{/if}
+
+	{if $BODY_ID=='thePicturePage'}
+		{combine_script id='scripts-tpp' load='header' require='jquery' path='themes/stripped/js/scripts-tpp.js'}
+	{/if}
+
+	{if ($BODY_ID=='theMapListPage')}
+		{combine_script id='scripts-tml' load='header' require='jquery' path='themes/stripped/js/scripts-tml.js'}
+	{/if}
+
+  <script type="text/javascript">
+    document.documentElement.className = 'js';
+  </script>
Index: /extensions/stripped/readme.txt
===================================================================
--- /extensions/stripped/readme.txt	(revision 10113)
+++ /extensions/stripped/readme.txt	(revision 10114)
@@ -27,4 +27,8 @@
 Changelog
 ---------
+
+*** version 1.3.4
+
+- use of default header.tpl (specific config is moved to local_head.tpl)
 
 *** version 1.3.3
Index: tensions/stripped/template/header.tpl
===================================================================
--- /extensions/stripped/template/header.tpl	(revision 10113)
+++ 	(revision )
@@ -1,92 +1,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
-<html lang="{$lang_info.code}" dir="{$lang_info.direction}">
-<head>
-  <meta http-equiv="Content-Type" content="text/html; charset={$CONTENT_ENCODING}">
-  <meta name="generator" content="Piwigo (aka PWG), see piwigo.org">
-{if isset($meta_ref) }
-{if isset($INFO_AUTHOR)}
-<meta name="author" content="{$INFO_AUTHOR|@replace:'"':' '}">
-{/if}
-{if isset($related_tags)}
-<meta name="keywords" content="{foreach from=$related_tags item=tag name=tag_loop}{if !$smarty.foreach.tag_loop.first}, {/if}{$tag.name}{/foreach}">
-{/if}
-{if isset($COMMENT_IMG)}
-<meta name="description" content="{$COMMENT_IMG|@strip_tags:false|@replace:'"':' '}{if isset($INFO_FILE)} - {$INFO_FILE}{/if}">
-{else}
-<meta name="description" content="{$PAGE_TITLE}{if isset($INFO_FILE)} - {$INFO_FILE}{/if}">
-{/if}
-{/if}
-
-  {if (isset($REVERSE) and $REVERSE and $PAGE_TITLE == l10n('Home'))}
-	<title>{$GALLERY_TITLE} | {$PAGE_TITLE}</title>
-{else}
-	<title>{$PAGE_TITLE} | {$GALLERY_TITLE}</title>
-{/if}
-  
-  <link rel="shortcut icon" type="image/x-icon" href="{$ROOT_URL}{$themeconf.icon_dir}/favicon.ico">
-  
-  <link rel="start" title="{'Home'|@translate}" href="{$U_HOME}" >
-  <link rel="search" title="{'Search'|@translate}" href="{$ROOT_URL}search.php" >
-  {if isset($first.U_IMG)   }<link rel="first" title="{'First'|@translate}" href="{$first.U_IMG}" >{/if}
-  {if isset($previous.U_IMG)}<link rel="prev" title="{'Previous'|@translate}" href="{$previous.U_IMG}" >{/if}
-  {if isset($next.U_IMG)    }<link rel="next" title="{'Next'|@translate}" href="{$next.U_IMG}" >{/if}
-  {if isset($last.U_IMG)    }<link rel="last" title="{'Last'|@translate}" href="{$last.U_IMG}" >{/if}
-  {if isset($U_UP)          }<link rel="up" title="{'Thumbnails'|@translate}" href="{$U_UP}" >{/if}
-
-	{get_combined_css}
-	{foreach from=$themes item=theme}
-		{if $theme.load_css}
-			{combine_css path="themes/`$theme.id`/theme.css" order=-10}
-		{/if}
-		{if !empty($theme.local_head)}{include file=$theme.local_head load_css=$theme.load_css}{/if}
-	{/foreach}
-
-	{if isset($U_PREFETCH)}<link rel="prefetch" href="{$U_PREFETCH}">{/if}
-  
-	{if not empty($page_refresh)}<meta http-equiv="refresh" content="{$page_refresh.TIME};url={$page_refresh.U_REFRESH}">{/if}
-  
-	{get_combined_scripts load='header'}
-  
-	{if $BODY_ID=='theCategoryPage' || $BODY_ID=='thePicturePage'}
-		{include file='config.js.tpl'}
-	{/if}
-
-	{if ($BODY_ID=='theCategoryPage')}
-		{combine_script id='scripts-tcp' load='header' require='jquery.effects.blind' path='themes/stripped/js/scripts-tcp.js'}
-	{/if}
-
-	{if $BODY_ID=='thePicturePage'}
-		{combine_script id='scripts-tpp' load='header' require='jquery' path='themes/stripped/js/scripts-tpp.js'}
-	{/if}
-
-	{if ($BODY_ID=='theMapListPage')}
-		{combine_script id='scripts-tml' load='header' require='jquery' path='themes/stripped/js/scripts-tml.js'}
-	{/if}
-
-  {if not empty($head_elements)}
-    {foreach from=$head_elements item=elt}{$elt}
-    {/foreach}
-  {/if}
-  <script type="text/javascript">
-    document.documentElement.className = 'js';
-  </script>
-</head>
-<body id="{$BODY_ID}">
-<div id="the_page">
-  {if not empty($header_msgs)}
-  <div class="header_msgs">
-    {foreach from=$header_msgs item=elt}
-    <p>{$elt}</p>
-    {/foreach}
-  </div>
-  {/if}
-  <div id="theHeader">{$PAGE_BANNER}</div>
-  <!--  <div id="theHeader">{$PAGE_BANNER}</div>-->
-  {if isset($theSwiftHeader)}{$theSwiftHeader}{/if}
-  {if not empty($header_notes)}
-  <div class="header_notes">
-    {foreach from=$header_notes item=elt}
-    <p>{$elt}</p>
-    {/foreach}
-  </div>
-  {/if}
Index: /extensions/stripped/theme.css
===================================================================
--- /extensions/stripped/theme.css	(revision 10113)
+++ /extensions/stripped/theme.css	(revision 10114)
@@ -1471,4 +1471,10 @@
 #Tags .value		{width:auto;}
 
+/* BBcodeBar Plugin ---------------------------------------------------------------------------- */
+
+.markItUpHeader ul:first-child {
+    height: 22px;
+}
+
 /* PWG Stuffs Plugin --------------------------------------------------------------------------- */
 
Index: /extensions/stripped/themeconf.inc.php
===================================================================
--- /extensions/stripped/themeconf.inc.php	(revision 10113)
+++ /extensions/stripped/themeconf.inc.php	(revision 10114)
@@ -2,5 +2,5 @@
 /*
 Theme Name: stripped
-Version: 1.3.3
+Version: 1.3.4
 Description: stripped Theme
 Theme URI: http://piwigo.org/ext/extension_view.php?eid=471