Index: /trunk/language/zh_CN/common.lang.php
===================================================================
--- /trunk/language/zh_CN/common.lang.php	(revision 10116)
+++ /trunk/language/zh_CN/common.lang.php	(revision 10117)
@@ -30,47 +30,47 @@
 
 // Langage informations
-$lang_info['language_name'] = '中文';
-$lang_info['country'] = '中国';
-$lang_info['direction'] = 'ltr';
-$lang_info['code'] = 'cn';
-$lang_info['zero_plural'] = false;
+$lang_info['language_name'] = "简体中文";
+$lang_info['country'] = "中国";
+$lang_info['direction'] = "ltr";
+$lang_info['code'] = "cn";
+$lang_info['zero_plural'] = "1";
 
-$lang['%.2f (rated %d times)'] = '%.2f (标注 %d 次)';
-$lang['%d Kb'] = '%d KB';
-$lang['%d album updated'] = '%d 相册已更新';
-$lang['%d albums updated'] = '%d 相册已更新';
-$lang['%d comment to validate'] = '%d 条用户评论被确认';
-$lang['%d comments to validate'] = '%d 条用户评论被确认';
-$lang['%d new comment'] = '%d 新评论';
-$lang['%d new comments'] = '%d 新评论';
-$lang['%d comment'] = '%d 评论';
-$lang['%d comments'] = '%d 评论';
-$lang['%d hit'] = '查看 %d 次';
-$lang['%d hits'] = '查看 %d 次';
-$lang['%d new photo'] = '%d 新图片';
-$lang['%d new photos'] = '%d 新图片';
-$lang['%d new user'] = '%d 新用户';
-$lang['%d new users'] = '%d 新用户';
-$lang['About'] = '关于';
-$lang['All tags'] = '所有标签';
-$lang['Any tag'] = '任何标签';
-$lang['At least one listed rule must be satisfied.'] = '至少符合一项标准.';
-$lang['At least one tag must match'] = '至少匹配一个标签';
-$lang['Author'] = '拥有者';
-$lang['Average rate'] = '评分';
-$lang['Albums'] = '相册';
-$lang['Album'] = '相册';
-$lang['Close this window'] = '关闭窗口';
-$lang['Complete RSS feed (photos, comments)'] = '完整RSS回馈(图片, 评论等)';
-$lang['Confirm Password'] = '重复输入密码';
-$lang['Connection settings'] = '连接设置';
-$lang['Login'] = '连接';
-$lang['Contact webmaster'] = '联系网管';
-$lang['Create a new account'] = '新建帐号';
-$lang['Created on'] = '创建于';
-$lang['Creation date'] = '创建日期';
-$lang['Current password is wrong'] = '密码错误';
-$lang['Dimensions'] = '尺寸';
-$lang['Display'] = '显示';
+$lang['%.2f (rated %d times)'] = "%.2f (已投票 %d 次)";
+$lang['%d Kb'] = "%d Kb";
+$lang['%d album updated'] = "%d 个相册已更新";
+$lang['%d albums updated'] = "%d 个相册已更新";
+$lang['%d comment to validate'] = "%d 个意见等待审核";
+$lang['%d comments to validate'] = "%d 个意见等待审核";
+$lang['%d new comment'] = "%d 个新意见";
+$lang['%d new comments'] = "%d 个新意见";
+$lang['%d comment'] = "%d 个意见";
+$lang['%d comments'] = "%d 个意见";
+$lang['%d hit'] = "%d 次点击";
+$lang['%d hits'] = "%d 次点击";
+$lang['%d new photo'] = "%d 张新照片";
+$lang['%d new photos'] = "%d 张新照片";
+$lang['%d new user'] = "%d 个新用户";
+$lang['%d new users'] = "%d 个新用户";
+$lang['About'] = "关于";
+$lang['All tags'] = "所有标签";
+$lang['Any tag'] = "任何标签";
+$lang['At least one listed rule must be satisfied.'] = "列出的标准至少一个需满足。";
+$lang['At least one tag must match'] = "至少一个标签必须对应。";
+$lang['Author'] = "作者";
+$lang['Average rate'] = "平均分";
+$lang['Albums'] = "相册";
+$lang['Album'] = "相册";
+$lang['Close this window'] = "关闭此窗口";
+$lang['Complete RSS feed (photos, comments)'] = "完整的 RSS feed (照片，意见)";
+$lang['Confirm Password'] = "确认密码";
+$lang['Connection settings'] = "连接设定";
+$lang['Login'] = "登入";
+$lang['Contact webmaster'] = "联系网管";
+$lang['Create a new account'] = "创建新账户";
+$lang['Created on'] = "创建于";
+$lang['Creation date'] = "创建日期";
+$lang['Current password is wrong'] = "目前的密码有误";
+$lang['Dimensions'] = "维";
+$lang['Display'] = "显示";
 $lang['Each listed rule must be satisfied.'] = '必须符合每项标准';
 $lang['Email address is missing. Please specify an email address.'] = '缺少邮箱地址';