Index: /trunk/admin/configuration.php
===================================================================
--- /trunk/admin/configuration.php	(revision 10121)
+++ /trunk/admin/configuration.php	(revision 10122)
@@ -64,5 +64,4 @@
     'comments_forall',
     'comments_validation',
-    'comments_update_validation',
     'email_admin_on_comment',
     'email_admin_on_comment_validation',
Index: /trunk/admin/themes/default/template/configuration.tpl
===================================================================
--- /trunk/admin/themes/default/template/configuration.tpl	(revision 10121)
+++ /trunk/admin/themes/default/template/configuration.tpl	(revision 10122)
@@ -142,11 +142,4 @@
         <span class="property">{'Validation'|@translate}</span>
         <input type="checkbox" name="comments_validation" {if ($comments.comments_validation)}checked="checked"{/if}>
-      </label>
-    </li>
-    
-    <li>
-      <label>
-        <span class="property">{'Update Validation'|@translate}</span>
-        <input type="checkbox" name="comments_update_validation" {if ($comments.comments_update_validation)}checked="checked"{/if}>
       </label>
     </li>
Index: /trunk/include/functions_comment.inc.php
===================================================================
--- /trunk/include/functions_comment.inc.php	(revision 10121)
+++ /trunk/include/functions_comment.inc.php	(revision 10122)
@@ -266,5 +266,5 @@
     
     // should the updated comment must be validated
-    if (!$conf['comments_update_validation'] or is_admin())
+    if (!$conf['comments_validation'] or is_admin())
     {
       $comment_action='validate'; //one of validate, moderate, reject
Index: /trunk/include/picture_comment.inc.php
===================================================================
--- /trunk/include/picture_comment.inc.php	(revision 10121)
+++ /trunk/include/picture_comment.inc.php	(revision 10122)
@@ -39,53 +39,50 @@
 }
 
-if (!isset($comment_action))
-{
-  if ( $page['show_comments'] and isset( $_POST['content'] ) )
-  {
-    if ( is_a_guest() and !$conf['comments_forall'] )
-    {
-      die ('Session expired');
-    }
-
-    $comm = array(
-      'author' => trim( @$_POST['author'] ),
-      'content' => trim( $_POST['content'] ),
-      'image_id' => $page['image_id'],
-     );
-
-    include_once(PHPWG_ROOT_PATH.'include/functions_comment.inc.php');
-
-    $comment_action = insert_user_comment($comm, @$_POST['key'], $infos );
-
-    switch ($comment_action)
-    {
-      case 'moderate':
-        array_push( $infos, l10n('An administrator must authorize your comment before it is visible.') );
-      case 'validate':
-        array_push( $infos, l10n('Your comment has been registered'));
-        break;
-      case 'reject':
-        set_status_header(403);
-        array_push($infos, l10n('Your comment has NOT been registered because it did not pass the validation rules') );
-        break;
-      default:
-        trigger_error('Invalid comment action '.$comment_action, E_USER_WARNING);
-    }
-
-    $template->assign(
-        ($comment_action=='reject') ? 'errors' : 'infos',
-        $infos
-      );
-
-    // allow plugins to notify what's going on
-    trigger_action( 'user_comment_insertion',
-        array_merge($comm, array('action'=>$comment_action) )
-      );
-  }
-  elseif ( isset($_POST['content']) )
-  {
-    set_status_header(403);
-    die('ugly spammer');
-  }
+if ( $page['show_comments'] and isset( $_POST['content'] ) )
+{
+  if ( is_a_guest() and !$conf['comments_forall'] )
+  {
+    die ('Session expired');
+  }
+
+  $comm = array(
+    'author' => trim( @$_POST['author'] ),
+    'content' => trim( $_POST['content'] ),
+    'image_id' => $page['image_id'],
+   );
+
+  include_once(PHPWG_ROOT_PATH.'include/functions_comment.inc.php');
+
+  $comment_action = insert_user_comment($comm, @$_POST['key'], $infos );
+
+  switch ($comment_action)
+  {
+    case 'moderate':
+      array_push( $infos, l10n('An administrator must authorize your comment before it is visible.') );
+    case 'validate':
+      array_push( $infos, l10n('Your comment has been registered'));
+      break;
+    case 'reject':
+      set_status_header(403);
+      array_push($infos, l10n('Your comment has NOT been registered because it did not pass the validation rules') );
+      break;
+    default:
+      trigger_error('Invalid comment action '.$comment_action, E_USER_WARNING);
+  }
+
+  $template->assign(
+      ($comment_action=='reject') ? 'errors' : 'infos',
+      $infos
+    );
+
+  // allow plugins to notify what's going on
+  trigger_action( 'user_comment_insertion',
+      array_merge($comm, array('action'=>$comment_action) )
+    );
+}
+elseif ( isset($_POST['content']) )
+{
+  set_status_header(403);
+  die('ugly spammer');
 }
 
Index: /trunk/install/config.sql
===================================================================
--- /trunk/install/config.sql	(revision 10121)
+++ /trunk/install/config.sql	(revision 10122)
@@ -4,5 +4,4 @@
 INSERT INTO piwigo_config (param,value,comment) VALUES ('log','true','keep an history of visits on your website');
 INSERT INTO piwigo_config (param,value,comment) VALUES ('comments_validation','false','administrators validate users comments before becoming visible');
-INSERT INTO piwigo_config (param,value,comment) VALUES ('comments_update_validation','false','administrators validate users updated comments before becoming visible');
 INSERT INTO piwigo_config (param,value,comment) VALUES ('comments_forall','false','even guest not registered can post comments');
 INSERT INTO piwigo_config (param,value,comment) VALUES ('user_can_delete_comment','false','administrators can allow user delete their own comments');
Index: /trunk/install/db/99-database.php
===================================================================
--- /trunk/install/db/99-database.php	(revision 10122)
+++ /trunk/install/db/99-database.php	(revision 10122)
@@ -0,0 +1,40 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+if (!defined('PHPWG_ROOT_PATH'))
+{
+  die('Hacking attempt!');
+}
+
+$upgrade_description = 'delete the config parameter comments_update_validation';
+
+$query = 'DELETE FROM '.CONFIG_TABLE.' WHERE param = \'comments_update_validation\';';
+
+pwg_query($query);
+
+echo
+"\n"
+. $upgrade_description
+."\n"
+;
+?>
Index: /trunk/language/en_UK/admin.lang.php
===================================================================
--- /trunk/language/en_UK/admin.lang.php	(revision 10121)
+++ /trunk/language/en_UK/admin.lang.php	(revision 10122)
@@ -730,5 +730,4 @@
 $lang['Validate'] = "Validate";
 $lang['Validation'] = "Validation";
-$lang['Update Validation'] = "Validation when a comment is modified";
 $lang['Version of create_listing_file.php on the remote site and Piwigo must be the same'] = "Versions of create_listing_file.php on the remote site and Piwigo must be the same";
 $lang['Version'] = "Version";
Index: /trunk/language/fr_FR/admin.lang.php
===================================================================
--- /trunk/language/fr_FR/admin.lang.php	(revision 10121)
+++ /trunk/language/fr_FR/admin.lang.php	(revision 10122)
@@ -170,5 +170,4 @@
 $lang['Validate'] = "Valider";
 $lang['Validation'] = "Validation";
-$lang['Update Validation'] = "Validation quand un commentaire est modifié";
 $lang['Version'] = "Version";
 $lang['Virtual albums to move'] = 'Albums virtuels à déplacer';
Index: /trunk/picture.php
===================================================================
--- /trunk/picture.php	(revision 10121)
+++ /trunk/picture.php	(revision 10122)
@@ -363,4 +363,5 @@
             );
             
+          unset($_POST['content']);
           break;
         }