Index: trunk/language/pt_PT/common.lang.php
===================================================================
--- trunk/language/pt_PT/common.lang.php	(revision 10119)
+++ trunk/language/pt_PT/common.lang.php	(revision 10151)
@@ -23,5 +23,5 @@
 /*
 Language Name: Português [PT]
-Version: 2.2.0
+Version: 2.2.0.1
 Language URI: http://piwigo.org/ext/extension_view.php?eid=432
 Author: Piwigo team
@@ -36,10 +36,10 @@
 $lang_info['zero_plural'] = false;
 
-$lang['%.2f (rated %d times)'] = '%.2f (avaliada %d vezes)';
+$lang['%.2f (rated %d times)'] = '%.2f (votada %d vezes)';
 $lang['%d Kb'] = '%d Kb';
-$lang['%d album updated'] = '%d categoria atualizada';
-$lang['%d albums updated'] = '%d categorias atualizadas';
+$lang['%d album updated'] = '%d álbum actualizado';
+$lang['%d albums updated'] = '%d álbums actualizados';
 $lang['%d comment to validate'] = '%d comentário para aprovar';
-$lang['%d comments to validate'] = '%d comentários para serem aprovados';
+$lang['%d comments to validate'] = '%d comentários para aprovar';
 $lang['%d new comment'] = '%d novo comentário';
 $lang['%d new comments'] = '%d novos comentários';
@@ -50,25 +50,25 @@
 $lang['%d new photo'] = '%d imagem nova';
 $lang['%d new photos'] = '%d imagens novas';
-$lang['%d new user'] = '%d usuário novo';
-$lang['%d new users'] = '%d usuários novos';
+$lang['%d new user'] = '%d utilizador novo';
+$lang['%d new users'] = '%d utilizador novos';
 $lang['About'] = 'Sobre';
-$lang['All tags'] = 'Todas as tags';
-$lang['Any tag'] = 'qualquer tag';
-$lang['At least one listed rule must be satisfied.'] = 'Ao menos um dos critérios deve ser satisfeito.';
-$lang['At least one tag must match'] = 'Ao menos uma das tags deve corresponder';
+$lang['All tags'] = 'Todas as etiquetas';
+$lang['Any tag'] = 'qualquer etiqueta';
+$lang['At least one listed rule must be satisfied.'] = 'No mínimo, um dos critérios deverá ser satisfeito.';
+$lang['At least one tag must match'] = 'No mínimo, uma das etiquetas deve corresponder';
 $lang['Author'] = 'Autor';
 $lang['Average rate'] = 'Nota média';
-$lang['Albums'] = 'Categorias';
-$lang['Album'] = 'Categoria';
-$lang['Close this window'] = 'Fechar esta janela';
-$lang['Complete RSS feed (photos, comments)'] = 'RSS completo';
+$lang['Albums'] = 'Álbum';
+$lang['Album'] = 'Álbums';
+$lang['Close this window'] = 'Fechar a janela';
+$lang['Complete RSS feed (photos, comments)'] = 'RSS completo (fotos e comentários)';
 $lang['Confirm Password'] = 'Confirmar palavra-passe';
-$lang['Connection settings'] = 'dados da conexão';
+$lang['Connection settings'] = 'dados da ligação';
 $lang['Login'] = 'Conexão';
-$lang['Contact webmaster'] = 'Contatar o webmaster';
-$lang['Create a new account'] = 'Criar uma nova conta';
+$lang['Contact webmaster'] = 'Contactar o webmaster';
+$lang['Create a new account'] = 'Criar uma conta nova';
 $lang['Created on'] = 'Criada em';
 $lang['Creation date'] = 'Data de criação';
-$lang['Current password is wrong'] = 'A palavra-passe atual está errada';
+$lang['Current password is wrong'] = 'A palavra-passe actual está errada';
 $lang['Dimensions'] = 'Dimensões';
 $lang['Display'] = 'Mostrar';
@@ -76,16 +76,16 @@
 $lang['Email address is missing. Please specify an email address.'] = 'Falta o endereço de email';
 $lang['Email address'] = 'Endereço de email';
-$lang['Enter your personnal informations'] = 'Introduza suas informações pessoais';
+$lang['Enter your personnal informations'] = 'Introduza as suas informações pessoais';
 $lang['Error sending email'] = 'Erro durante o envio do email';
-$lang['File name'] = 'Nome do arquivo';
-$lang['File'] = 'Arquivo';
-$lang['Filesize'] = 'Tamanho do arquivo';
+$lang['File name'] = 'Nome do ficheiro';
+$lang['File'] = 'Ficheiro';
+$lang['Filesize'] = 'Tamanho do ficheiro';
 $lang['Filter and display'] = 'Filtrar e mostrar';
 $lang['Filter'] = 'Filtro';
-$lang['Forgot your password?'] = 'Esqueceu sua palavra-passe?';
-$lang['Go through the gallery as a visitor'] = 'Percorer a galeria como visitante';
+$lang['Forgot your password?'] = 'Esqueceu a palavra-passe?';
+$lang['Go through the gallery as a visitor'] = 'Ver a galeria como visitante';
 $lang['Help'] = 'Ajuda';
 $lang['Identification'] = 'Identificação';
-$lang['Photos only RSS feed'] = 'RSS das imagens';
+$lang['Photos only RSS feed'] = 'RSS de imagens';
 $lang['Keyword'] = 'Palavra chave';
 $lang['Links'] = 'Links';
@@ -95,69 +95,69 @@
 $lang['New password sent by email'] = 'Nova palavra-passe enviada por email';
 $lang['No email address'] = 'Falta o endereço de email';
-$lang['No classic user matches this email address'] = 'O endereço de email não corresponde a nenhum usário';
+$lang['No classic user matches this email address'] = 'O endereço de email não corresponde a nenhum utilizador';
 $lang['Notification'] = 'Notificação';
-$lang['Number of items'] = 'Número de elementos';
+$lang['Number of items'] = 'Número de items';
 $lang['Original dimensions'] = 'Dimensão original';
 $lang['Password forgotten'] = 'Palavra-passe perdida';
 $lang['Password'] = 'Palavra-passe';
-$lang['Post date'] = 'Data de envio';
-$lang['Posted on'] = 'Enviado em';
+$lang['Post date'] = 'Data de Publicação';
+$lang['Posted on'] = 'Publicado em';
 $lang['Profile'] = 'Perfil';
-$lang['Quick connect'] = 'Conexão rápida';
-$lang['RSS feed'] = 'fluxo RSS';
-$lang['Rate'] = 'Nota';
-$lang['Register'] = 'Registrar-se';
-$lang['Registration'] = 'Registro';
-$lang['Related tags'] = 'Tags relacionados';
+$lang['Quick connect'] = 'Ligação Rápida';
+$lang['RSS feed'] = 'RSS';
+$lang['Rate'] = 'Classificação';
+$lang['Register'] = 'Registar-se';
+$lang['Registration'] = 'Registo';
+$lang['Related tags'] = 'Etiquetas relacionados';
 $lang['Reset'] = 'Cancelar';
 $lang['Retrieve password'] = 'Recuperar a palavra-passe';
-$lang['Search rules'] = 'Critérios de busca';
-$lang['Search tags'] = 'Pesquisar as tags';
+$lang['Search rules'] = 'Critérios de pesquisa';
+$lang['Search tags'] = 'Pesquisar as estiquetas';
 $lang['Search'] = 'Pesquisa';
-$lang['display available tags'] = 'Ver as tags disponíveis';
-$lang['Send new password'] = 'Enviar a nova palavra-passe';
+$lang['display available tags'] = 'Ver as etiquetas disponíveis';
+$lang['Send new password'] = 'Enviar nova palavra-passe';
 $lang['Since'] = 'Desde ';
-$lang['Sort by'] = 'Listado por';
+$lang['Sort by'] = 'Ordenar por';
 $lang['Sort order'] = 'Ordem de exibição';
 $lang['Tag'] = 'Etiqueta';
 $lang['Tags'] = 'Etiquetas';
-$lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'O RSS notifica dos eventos da galeria : novas imagens, categorias actualizadas, Novos comentários usários. Use um leitor de fluxos RSS.';
-$lang['Unknown feed identifier'] = 'identificador de fluxo RSS desconhecido';
-$lang['User comments'] = 'Comentários de usuário';
-$lang['Username'] = 'Nome de usuário';
+$lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'O RSS notifica-o(a) dos eventos da galeria : novas imagens, álbums actualizados, novos comentários, utilizadores, etc. Use um leitor de RSS para subscrever.';
+$lang['Unknown feed identifier'] = 'identificador de RSS desconhecido';
+$lang['User comments'] = 'Comentários de utilizadores';
+$lang['Username'] = 'Nome de utilizador';
 $lang['Visits'] = 'Visitas';
 $lang['Webmaster'] = 'Webmaster';
 $lang['Week %d'] = 'Semana %d';
 $lang['About Piwigo'] = 'Sobre Piwigo';
-$lang['You are not authorized to access the requested page'] = 'Acesso proibido';
-$lang['add to caddie'] = 'Acrescentar ao carrinho';
-$lang['add this photo to your favorites'] = 'Acrescentar aos favoritos';
+$lang['You are not authorized to access the requested page'] = 'Não tem permissões para aceder à página requisitada';
+$lang['add to caddie'] = 'Adicionar ao carrinho';
+$lang['add this photo to your favorites'] = 'Adicionar aos favoritos';
 $lang['Administration'] = 'Administração';
 $lang['all'] = 'tudo';
 $lang['ascending'] = 'crescente';
 $lang['author(s) : %s'] = 'autor(es) : %s';
-$lang['Expand all albums'] = 'Expandir todas as categorias';
-$lang['posted after %s (%s)'] = 'disponível depois de %s (%s)';
-$lang['posted before %s (%s)'] = 'disponível antes de %s (%s)';
-$lang['posted between %s (%s) and %s (%s)'] = 'disponível entre o %s (%s) e o %s (%s)';
-$lang['posted on %s'] = 'disponível em %s';
-$lang['Best rated'] = 'Com a melhor pontuação';
-$lang['display best rated photos'] = 'Mostrar as imagens com as notas mais altas';
-$lang['caddie'] = 'carrinho';
+$lang['Expand all albums'] = 'Expandir todos os álbums';
+$lang['posted after %s (%s)'] = 'publicado depois de %s (%s)';
+$lang['posted before %s (%s)'] = 'publicado antes de %s (%s)';
+$lang['posted between %s (%s) and %s (%s)'] = 'publicado entre %s (%s) e  %s (%s)';
+$lang['posted on %s'] = 'Publicado em %s';
+$lang['Best rated'] = 'Melhor classificadas';
+$lang['display best rated photos'] = 'Mostrar as imagens com as melhores classificações';
+$lang['caddie'] = 'Carrinho';
 $lang['Calendar'] = 'Calendário';
-$lang['All'] = 'Todo';
-$lang['display each day with photos, month per month'] = 'Mostrar ano por ano, mês por mês, dia por dia';
+$lang['All'] = 'Tudo';
+$lang['display each day with photos, month per month'] = 'Mostrar todos os dias com imagens, mês a mês';
 $lang['View'] = 'Vista';
 $lang['chronology_monthly_calendar'] = 'Calendário mensal';
 $lang['chronology_monthly_list'] = 'Lista mensal';
 $lang['chronology_weekly_list'] = 'Lista semanal';
-$lang['Click here if your browser does not automatically forward you'] = 'Clique aqui se o seu browser não o redirecionar automaticamente.';
+$lang['Click here if your browser does not automatically forward you'] = 'Clique aqui se o seu navegador não o redireccionar automaticamente.';
 $lang['comment date'] = 'data do comentário';
-$lang['Comment'] = 'comentário';
-$lang['Your comment has been registered'] = 'O seu comentário foi registrado.';
-$lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'Sistema conta abuso : Por favor, espere um momento antes de tentar escrever um novo comentario';
+$lang['Comment'] = 'Comentário';
+$lang['Your comment has been registered'] = 'O seu comentário foi registado.';
+$lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'Sistema anti-abuso : Por favor, espere um momento antes de tentar escrever um novo comentário';
 $lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'O seu comentário não pôde ser registado porque não passou pelas regras de validação';
 $lang['An administrator must authorize your comment before it is visible.'] = 'Um administrador deve autorizar o seu comentário para que ele seja visível por todos.';
-$lang['This login is already used by another user'] = 'Este login já está sendo usado por outro usuário.';
+$lang['This login is already used by another user'] = 'Este login já está a ser utilizado.';
 $lang['Comments'] = 'Comentários';
 $lang['Add a comment'] = 'Adicionar um comentário';
@@ -176,14 +176,14 @@
 $lang['day'][6] = 'Sábado';
 $lang['Default'] = 'Padrão';
-$lang['delete this photo from your favorites'] = 'Apague esta imagem de seus favoritos';
+$lang['delete this photo from your favorites'] = 'Remover esta imagem dos favoritos';
 $lang['Delete'] = 'Apagar';
 $lang['descending'] = 'decrescente';
-$lang['download'] = 'descarregar';
-$lang['download this file'] = 'descarregar este arquivo';
+$lang['download'] = 'download';
+$lang['download this file'] = 'fazer download deste ficheiro';
 $lang['edit'] = 'editar';
 $lang['wrong date'] = 'data errada';
 $lang['excluded'] = 'excluídos';
 $lang['Your favorites'] = 'Meus favoritos';
-$lang['display your favorites photos'] = 'Mostrar minhas imagens favoritas';
+$lang['display your favorites photos'] = 'Mostrar as minhas imagens favoritas';
 $lang['Favorites'] = 'Favoritas';
 $lang['First'] = 'Primeira página';
@@ -193,12 +193,12 @@
 $lang['Hello'] = 'Olá';
 $lang['available for administrators only'] = 'disponível apenas para os administradores';
-$lang['display this album'] = 'mostra as imagens do diretório raíz desta categoria';
-$lang['display last user comments'] = 'Ver os últimos comentários de usuários';
+$lang['display this album'] = 'mostrar este álbum';
+$lang['display last user comments'] = 'Ver os últimos comentários dos utilizadores';
 $lang['customize the appareance of the gallery'] = 'personalisar a aparência da galeria';
 $lang['search'] = 'Pesquisar';
 $lang['Home'] = 'Início';
-$lang['in this album'] = 'nesta categoria';
-$lang['in %d sub-album'] = 'em %d subcategoria';
-$lang['in %d sub-albums'] = 'em %d subcategorias';
+$lang['in this album'] = 'neste álbum';
+$lang['in %d sub-album'] = 'em %d álbum';
+$lang['in %d sub-albums'] = 'em %d álbums';
 $lang['included'] = 'incluídos';
 $lang['Invalid password!'] = 'Palavra-passe inválida!';
@@ -206,5 +206,5 @@
 $lang['last %d days'] = '%d últimos dias';
 $lang['Last'] = 'Última página';
-$lang['Logout'] = 'Desconectar (logout)';
+$lang['Logout'] = 'Terminar Sessão';
 $lang['E-mail address'] = 'Endereço de email';
 $lang['obligatory'] = 'obrigatório';
@@ -214,59 +214,59 @@
 $lang['Maximum width must be a number superior to 50'] = 'A largura máxima das imagens deve ser um número superior a 50';
 $lang['display a calendar by creation date'] = 'Mostra um calendário ordenado pela data de criação';
-$lang['display all photos in all sub-albums'] = 'Mostra todos os elementos em todas as subcategorias';
+$lang['display all photos in all sub-albums'] = 'Mostra todos os elementos em todas os álbums';
 $lang['return to normal view mode'] = 'voltar à exibição normal';
 $lang['display a calendar by posted date'] = 'Mostrar um calendário por data de envio das imagens';
-$lang['month'][10] = 'outubro';
-$lang['month'][11] = 'novembro';
-$lang['month'][12] = 'dezembro';
-$lang['month'][1] = 'janeiro';
-$lang['month'][2] = 'fevereiro';
-$lang['month'][3] = 'março';
-$lang['month'][4] = 'abril';
-$lang['month'][5] = 'maio';
-$lang['month'][6] = 'junho';
-$lang['month'][7] = 'julho';
-$lang['month'][8] = 'agosto';
-$lang['month'][9] = 'setembro';
-$lang['Most visited'] = 'Mais visitadas';
-$lang['display most visited photos'] = 'Mostra as imagens mais visitadas';
-$lang['The number of photos per row must be a not null scalar'] = 'O número de imagens por linha deve ser inteiro e não nulo';
+$lang['month'][10] = 'Outubro';
+$lang['month'][11] = 'Novembro';
+$lang['month'][12] = 'Dezembro';
+$lang['month'][1] = 'Janeiro';
+$lang['month'][2] = 'Fevereiro';
+$lang['month'][3] = 'Março';
+$lang['month'][4] = 'Abril';
+$lang['month'][5] = 'Maio';
+$lang['month'][6] = 'Junho';
+$lang['month'][7] = 'Julho';
+$lang['month'][8] = 'Agosto';
+$lang['month'][9] = 'Setembro';
+$lang['Most visited'] = 'Mais vistas';
+$lang['display most visited photos'] = 'Mostra as fotos mais vistas';
+$lang['The number of photos per row must be a not null scalar'] = 'O número de fotos por linha deve ser inteiro e não nulo';
 $lang['Number of photos per row'] = 'Número de imagens por linha';
 $lang['The number of rows per page must be a not null scalar'] = 'O número de linhas por página deve ser inteiro e não nulo';
 $lang['Number of rows per page'] = 'Número de linhas por página';
-$lang['Unknown identifier'] = 'Origem desconhecida';
+$lang['Unknown identifier'] = 'Identificador desconhecido';
 $lang['New password'] = 'Nova palavra-passe';
-$lang['Rate this photo'] = 'Dê uma nota a esta imagem';
+$lang['Rate this photo'] = 'Classifique a esta foto';
 $lang['Next'] = 'Página seguinte';
-$lang['no rate'] = 'nenhuma nota';
-$lang['Photos posted within the last %d day.'] = 'Imagens adicionadas a partir do últimos %d dia.';
-$lang['Photos posted within the last %d days.'] = 'Imagens adicionadas a partir dos últimos %d dias';
-$lang['password updated'] = 'palavra-passe atualizada';
-$lang['Recent period must be a positive integer value'] = 'O período deve ser um número inteiro positivo';
-$lang['photo'] = 'imagem';
-$lang['Click on the photo to see it in high definition'] = 'Clique na imagem para vê-la em alta definição';
+$lang['no rate'] = 'nenhuma classificação';
+$lang['Photos posted within the last %d day.'] = 'Fotos adicionadas no último dia.';
+$lang['Photos posted within the last %d days.'] = 'Fotos adicionadas nos últimos %d dias';
+$lang['password updated'] = 'Palavra-passe actualizada';
+$lang['Recent period must be a positive integer value'] = 'O período de tempo deve ser um número inteiro positivo';
+$lang['photo'] = 'Foto';
+$lang['Click on the photo to see it in high definition'] = 'Clique na foto para vê-la em alta definição';
 $lang['Show file metadata'] = 'Mostrar os metadados do arquivo.';
 $lang['Powered by'] = 'Powered by';
 $lang['Preferences'] = 'Preferências';
 $lang['Previous'] = 'Página anterior';
-$lang['Random photos'] = 'Imagens aleatórias';
-$lang['display a set of random photos'] = 'exibir um grupo aleatório de imagens';
-$lang['Recent albums'] = 'Categorias recentes';
-$lang['display recently updated albums'] = 'Exibir categorias atualizadas recentemente.';
+$lang['Random photos'] = 'Fotos aleatórias';
+$lang['display a set of random photos'] = 'exibir um grupo aleatório de fotos';
+$lang['Recent albums'] = 'Álbums recentes';
+$lang['display recently updated albums'] = 'Exibir álbums actualizados recentemente.';
 $lang['Recent period'] = 'Período recente';  
-$lang['Recent photos'] = 'Imagens recentes';
-$lang['display most recent photos'] = 'Mostrar as imagens mais recentes';
-$lang['Redirection...'] = 'Redirecionamento...';
-$lang['Please, enter a login'] = 'Por favor, entre com um nome de usuário';
-$lang['login mustn\'t end with a space character'] = 'O nome de usuário não deve terminar com um espaço';
-$lang['login mustn\'t start with a space character'] = 'O nome de usuário não deve começar com um espaço';
-$lang['this login is already used'] = 'Este nome de usuário já existe';
+$lang['Recent photos'] = 'Fotos recentes';
+$lang['display most recent photos'] = 'Mostrar as fotos mais recentes';
+$lang['Redirection...'] = 'A redireccionar...';
+$lang['Please, enter a login'] = 'Por favor, escreva um nome de utilizador';
+$lang['login mustn\'t end with a space character'] = 'O nome de utilizador não deve terminar com um espaço';
+$lang['login mustn\'t start with a space character'] = 'O nome de utilizador não deve começar com um espaço';
+$lang['this login is already used'] = 'Este nome de utilizador já existe';
 $lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'O formato do email deve ser do tipo: xxx@yyy.eee (exemplo : jack@altern.org)';
-$lang['please enter your password again'] = 'Por favor, digite sua palavra-passe novamente';
-$lang['Auto login'] = 'Auto login (conexão automática)';
-$lang['remove this tag from the list'] = 'remover esta tag da lista';
-$lang['representative'] = 'representante';
+$lang['please enter your password again'] = 'Por favor, escreva a sua palavra-passe novamente';
+$lang['Auto login'] = 'Início de Sessão automático';
+$lang['remove this tag from the list'] = 'remover esta etiqueta da lista';
+$lang['representative'] = 'Foto de Capa';
 $lang['Search for Author'] = 'Pesquisar por autor';
-$lang['Search in albums'] = 'Pesquisar nas categorias';
+$lang['Search in albums'] = 'Pesquisar nos álbums';
 $lang['Search by Date'] = 'Pesquisar por data';
 $lang['Date'] = 'Data';
@@ -279,17 +279,17 @@
 $lang['Search Options'] = 'Opções de pesquisa';
 $lang['Search results'] = 'Resultados da pesquisa';
-$lang['Search in sub-albums'] = 'Pesquisar nas subcategorias';
+$lang['Search in sub-albums'] = 'Pesquisar nos sub-álbums';
 $lang['searched words : %s'] = 'Palavras pesquisadas : %s';
-$lang['Contact'] = 'Contactar';
-$lang['set as album representative'] = 'Eleger para representar esta categoria';
-$lang['Show number of comments'] = 'Exibir o número de comentários';
-$lang['Show number of hits'] = 'Exibir o número de vizualisações';
+$lang['Contact'] = 'Contacto';
+$lang['set as album representative'] = 'Escolher como capa de álbum';
+$lang['Show number of comments'] = 'Mostrar o número de comentários';
+$lang['Show number of hits'] = 'Mostrar o número de vizualisações';
 $lang['slideshow'] = 'Slideshow';
-$lang['stop the slideshow'] = 'interromper o Slideshow';
+$lang['stop the slideshow'] = 'Interromper o Slideshow';
 $lang['Specials'] = 'Ferramentas';
-$lang['SQL queries in'] = 'Pesquisa SQL em';
-$lang['display only recently posted photos'] = 'exibir apenas as imagens enviadas recentemente';
-$lang['return to the display of all photos'] = 'voltar a exibir todas as imagens';
-$lang['the beginning'] = 'o início';
+$lang['SQL queries in'] = 'Pesquisas SQL em';
+$lang['display only recently posted photos'] = 'exibir apenas as fotos publicadas recentemente';
+$lang['return to the display of all photos'] = 'voltar a exibir todas as fotos';
+$lang['the beginning'] = 'Início';
 $lang['Interface theme'] = 'Tema';
 $lang['Thumbnails'] = 'Miniaturas';
@@ -297,10 +297,10 @@
 $lang['A comment on your site'] = 'Um comentário no seu site';
 $lang['today'] = 'hoje';
-$lang['Update your rating'] = 'atualizar nota';
-$lang['wrong filename'] = 'nome de diretório errado';
-$lang['the username must be given'] = 'Entre com o nome de usuário';
-$lang['useful when password forgotten'] = 'útil em caso de palavra-passe esquecida';
+$lang['Update your rating'] = 'Actualizar a sua classificação';
+$lang['wrong filename'] = 'nome de ficheiro errado';
+$lang['the username must be given'] = 'Deverá introduzir um nome de utilizador';
+$lang['useful when password forgotten'] = 'útil em caso de esquecer a palavra-passe';
 $lang['Quick search'] = 'Pesquisa Rápida';
-$lang['Connected user: %s'] = 'Usuário conectado: %s';
+$lang['Connected user: %s'] = 'Utilizador ligado: %s';
 $lang['IP: %s'] = 'IP: %s';
 $lang['Browser: %s'] = 'Navegador: %s';
@@ -308,15 +308,15 @@
 $lang['Comment: %s'] = 'Comentário: %s';
 $lang['Comment by %s'] = 'Comentário de %s';
-$lang['User: %s'] = 'Usuário: %s';
+$lang['User: %s'] = 'Utilizador: %s';
 $lang['Email: %s'] = 'Email: %s';
 $lang['Admin: %s'] = 'Administração: %s';
-$lang['Registration of %s'] = 'Registro de %s';
-$lang['Album: %s'] = 'Categoria: %s';
-$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Status ruim para o usuário "guest", será usado status padrão. Por favor, avise o administrador do site.';
+$lang['Registration of %s'] = 'Registo de %s';
+$lang['Album: %s'] = 'Álbum: %s';
+$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'O utilizador "guest" tem um erro. Estado padrão será usado. Por favor, contacte o administrador do site.';
 $lang['Administrator, webmaster and special user cannot use this method'] = 'Administrador, webmaster e utilizador especial não podem utilizar este método';
-$lang['this email address is already in use'] = 'um outro usuário já utiliza este email';
-$lang['Album results for'] = 'Resultados da categoria para';
-$lang['Tag results for'] = 'Resultados da tag para';
-$lang['from %s to %s'] = 'de %s ao %s';
+$lang['this email address is already in use'] = 'um outro utilizador já utiliza este email';
+$lang['Album results for'] = 'Resultados de álbum para';
+$lang['Tag results for'] = 'Resultados de etiqueta para';
+$lang['from %s to %s'] = 'de %s a %s';
 $lang['Play of slideshow'] = 'Iniciar o Slideshow';
 $lang['Pause of slideshow'] = 'Parar o Slideshow';
@@ -325,23 +325,23 @@
 $lang['Reduce diaporama speed'] = 'Diminuir a velocidade do Slideshow';
 $lang['Accelerate diaporama speed'] = 'Aumentar a velocidade do Slideshow';
-$lang['Submit'] = 'Ok';
+$lang['Submit'] = 'Submeter';
 $lang['Yes'] = 'Sim';
 $lang['No'] = 'Não';
-$lang['%d photo']='%d imagem';
-$lang['%d photos']='%d imagens';
-$lang['%d photo is also linked to current tags'] = '%d imagem está também ligada às tags correntes';
-$lang['%d photos are also linked to current tags'] = '%d imagens estão também ligadas às tags correntes';
-$lang['display photos linked to this tag'] = 'Ver as imagens ligadas apenas a esta tag';
-$lang['photos posted during the last %d days'] = 'imagens enviadas durante os últimos %d dias';
-$lang['Piwigo Help'] = 'Piwigo Help';
-$lang['Rank'] = 'Fila (Rank)';
+$lang['%d photo']='%d foto';
+$lang['%d photos']='%d fotos';
+$lang['%d photo is also linked to current tags'] = '%d foto está também ligada às etiquetas actuais';
+$lang['%d photos are also linked to current tags'] = '%d fotos estão também ligadas às etiquetas actuais';
+$lang['display photos linked to this tag'] = 'Ver as fotos ligadas apenas a esta etiqueta';
+$lang['photos posted during the last %d days'] = 'fotos publicadas durante os últimos %d dias';
+$lang['Piwigo Help'] = 'Ajuda Piwigo';
+$lang['Rank'] = 'Posição';
 $lang['group by letters'] = 'agrupar por letras';
 $lang['letters'] = 'letras';
-$lang['show tag cloud'] = 'mostar a nuvem de tags';
+$lang['show tag cloud'] = 'mostar a núvem de etiquetas';
 $lang['cloud'] = 'nuvem';
-$lang['Are you sure?'] = 'Você tem certeza?';
+$lang['Are you sure?'] = 'Tem a certeza?';
 $lang['delete this comment'] = 'apagar este comentário';
-$lang['Reset to default values'] = 'Repor valores por defeito';
-$lang['delete all photos from your favorites'] = 'apagar todas as imagens dos seus favoritos';
+$lang['Reset to default values'] = 'Repor valores padrão';
+$lang['delete all photos from your favorites'] = 'apagar todas as fotos dos seus favoritos';
 $lang['Sent by'] = 'Enviado por';
 $lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Os cookies estão bloqueados ou não são suportados pelo seu navegador. Deverá activar os cookies para Iniciar Sessão.';
@@ -352,5 +352,5 @@
 $lang['Welcome to your Piwigo photo gallery!'] = 'Bem-vindo à sua galeria de fotos Piwigo!';
 $lang['... or browse your empty gallery'] = '... ou navegue a sua galeria vazia';
-$lang['... or please deactivate this message, I will find my way by myself'] = '... ou, desactive esta mensagem, por favor, eu encontro o meu caminho sozinho';
+$lang['... or please deactivate this message, I will find my way by myself'] = '... ou, desactive esta mensagem por favor, eu encontro o meu caminho sozinho';
 $lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Olá %s, a sua galeria de fotos Piwigo está vazia!';
 $lang['I want to add photos'] = 'Eu quero adicionar fotos';