Index: extensions/Mail_supervisor/admin/header_2_2.tpl
===================================================================
--- extensions/Mail_supervisor/admin/header_2_2.tpl	(revision 10094)
+++ extensions/Mail_supervisor/admin/header_2_2.tpl	(revision 10155)
@@ -4,2 +4,3 @@
 
 <input id="action_spam" name="action_spam" type="hidden" value="{$action_spam}" />
+{combine_css path= $MAIL_SUPERV_PATH|@cat:'admin/theme.css'}
Index: extensions/Mail_supervisor/admin/mail_black_liste.tpl
===================================================================
--- extensions/Mail_supervisor/admin/mail_black_liste.tpl	(revision 10094)
+++ extensions/Mail_supervisor/admin/mail_black_liste.tpl	(revision 10155)
@@ -1,13 +1,12 @@
 {* $Id: mail_black_liste.tpl cljosse $ *} 
 <script type="text/javascript">
+  var is_supervisor = true;
  var confirm_message = "{'Sv_Are_you_sure'|@translate|@escape:'javascript'}?";  
 </script>
-<link href="theme.css" rel="stylesheet" type="text/css" />
-{html_head}<link rel="stylesheet" type="text/css" href="{$MAIL_SUPERV_PATH}admin/theme.css" />{/html_head}
+
 <div class="titrePage">
 		<h2>{'Sv_supervisor'|translate}{'Sv_version'|translate}{$version}</h2>
 </div> 
-<div class="bug" >
-</div>
+<div class="bug" ></div>
 <form action='' method="post" name="form_black">
 <fieldset>
Index: extensions/Mail_supervisor/admin/mail_superv_admin.php
===================================================================
--- extensions/Mail_supervisor/admin/mail_superv_admin.php	(revision 10094)
+++ extensions/Mail_supervisor/admin/mail_superv_admin.php	(revision 10155)
@@ -467,4 +467,5 @@
                         'version' =>	 $version ,
                         'MAIL_SUPERV_PATH_ABS' => MAIL_SUPERV_PATH_ABS,
+                        	'path_js' => $path_js,
 		 			)
 				);			 
Index: extensions/Mail_supervisor/admin/mail_superv_admin.tpl
===================================================================
--- extensions/Mail_supervisor/admin/mail_superv_admin.tpl	(revision 10094)
+++ extensions/Mail_supervisor/admin/mail_superv_admin.tpl	(revision 10155)
@@ -1,12 +1,5 @@
 <script type="text/javascript">
-jQuery().ready(function(){ldelim}
-  jQuery('.cluetip').cluetip({ldelim}
-    width: 300,
-    splitTitle: '|',
-    clickThrough: true
-  });
-});
+  var is_supervisor = true;
 </script>
-
 <div class="titrePage">
 		<h2>{'Sv_supervisor'|translate}{'Sv_version'|translate}{$version}</h2>
Index: extensions/Mail_supervisor/admin/mail_superv_help.tpl
===================================================================
--- extensions/Mail_supervisor/admin/mail_superv_help.tpl	(revision 10094)
+++ extensions/Mail_supervisor/admin/mail_superv_help.tpl	(revision 10155)
@@ -182,4 +182,7 @@
 <div id="blacklisteFonction" class="instructionBlock" >
  
+  <script type="text/javascript">
+    var is_supervisor = true;  
+  </script>
   <div
     id="blackliste_header"
Index: extensions/Mail_supervisor/admin/mail_superv_test.tpl
===================================================================
--- extensions/Mail_supervisor/admin/mail_superv_test.tpl	(revision 10094)
+++ extensions/Mail_supervisor/admin/mail_superv_test.tpl	(revision 10155)
@@ -1,2 +1,5 @@
+<script type="text/javascript">
+  var is_supervisor = true;
+</script>
 <div class="titrePage">
 	<h2>{'Sv_supervisor'|translate}{'Sv_version'|translate}{$version}</h2>
Index: extensions/Mail_supervisor/admin/theme.css
===================================================================
--- extensions/Mail_supervisor/admin/theme.css	(revision 10094)
+++ extensions/Mail_supervisor/admin/theme.css	(revision 10155)
@@ -1,44 +1,65 @@
-.Style1 {color: #6699CC}
-
- 
+.Style1 {
+  color: #6699CC;
+}
 .items {
-	font-style: italic;
-	
-
+  font-style: italic;
+}
+.row2 {
+  font-style: italic;
+  border: 0;
+}
+.row1 {
+  font-style: italic;
+  border: 0;
+}
+.info {
+  color: #5599FF;
+}
+.bug {
+  background-image: url(../smilies/mouche.gif);
+  background-repeat: no-repeat;
+  width: 100px;
+  height: 75px;
+}
+.frame_ {
+  height: 40px;
 }
 
- .row2{
-	font-style: italic;
-	
-	border: 0;
-
+.erreur {
+  color: #FF0000;
 }
- 
- .row1{
-	font-style: italic;
-	border: 0;
-
-
+.instructions {
+  text-align: left;
+  padding-top: 5px;
+}
+.instructions LI {
+  margin-bottom: 5px;
+}
+.instructionBlock {
+  border: 1px solid #999;
+  margin: 5px;
+  overflow: hidden;
+}
+.instructionBlockHeaderCollapsed, .instructionBlockHeaderExpanded {
+  background-color: #eee;
+  background-position: 15px center;
+  background-repeat: no-repeat;
+  color: #999;
+  cursor: pointer;
+  font-size: 110%;
+  overflow: hidden;
+  padding: 8px 41px;
+}
+.instructionBlockHeaderCollapsed span, .instructionBlockHeaderExpanded span {
+  border-bottom: none;
 }
 
-.info{
-	color: #5599FF;
+.instructionBlockHeaderCollapsed {
+  background-image: url(../../../admin/themes/clear/icon/expand.gif); 
 }
-
-
- .bug {
-
-	background-image: url(../smilies/mouche.gif);
-	
-	background-repeat: no-repeat;
-
-	width: 100px;
-	height: 75px;
- }
- .frame_ {
-	height: 40px;
+.instructionBlockHeaderExpanded {
+ background-image: url('../../../admin/themes/clear/icon/collapse.gif');
 }
-
-.erreur{
-	color: #FF0000;	 
+.instructionBlockContent {
+  padding: 0 15px 15px;
 }
Index: extensions/Mail_supervisor/include/Scripts.js
===================================================================
--- extensions/Mail_supervisor/include/Scripts.js	(revision 10094)
+++ extensions/Mail_supervisor/include/Scripts.js	(revision 10155)
@@ -55,11 +55,17 @@
        jQuery(window).load(function () {
          // get_script_geo();
-         jQuery('.cluetip').cluetip({ width: 350, splitTitle: '|', clickThrough: true });
 
+         if( typeof is_supervisor=="boolean" ){
+           jQuery('.cluetip').cluetip({
+             width: 300,
+             splitTitle: '|',
+             clickThrough: true
+           });
+         }
          spam = jQuery("#action_spam").val();
          if (spam == "true") get_script_geo();
          if (jQuery(".infos").length > 0)
            if (spam == "true") {
-             jQuery(".infos").css("color", "red");            
+             jQuery(".infos").css("color", "red");
 
            }